# List

Launch stage: GA

`GET /api/2.0/genie/spaces/{space_id}/conversations`

Get a list of conversations in a Genie Space.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID of the Genie space to retrieve conversations from.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Query parameters

- `page_size` (int32, optional)
  Maximum number of conversations to return per page
  Default: `20`
  Constraints: `<= 100`
- `page_token` (string, optional)
  Token to get the next page of results
- `include_all` (boolean, optional)
  Include all conversations in the space across all users.
   Requires at least CAN MANAGE permission on the space.
  Default: `false`

## Returns

- `conversations` (array of object, optional)
  List of conversations in the Genie space
  - `conversation_id` (string, optional)
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `title` (string, optional)
    Example: `Biggest open opportunities`
  - `created_timestamp` (int64, optional)
  - `agent_type` (string, optional, Beta)
    Whether this is a classic chat or an agent-mode conversation. Allows callers to
     route message retrieval (chat vs. agent endpoint) without an extra lookup.
    Possible values: `GENIE_CONVERSATION_TYPE_UNSPECIFIED`, `GENIE_CONVERSATION_TYPE_CHAT`, `GENIE_CONVERSATION_TYPE_AGENT`
- `next_page_token` (string, optional)
  Token to get the next page of results

## Response

```json
{
  "conversations": [
    {
      "conversation_id": "e1ef34712a29169db030324fd0e1df5f",
      "title": "Biggest open opportunities",
      "created_timestamp": 0,
      "agent_type": "string"
    }
  ],
  "next_page_token": "string"
}
```

